
From: Dominik Brodowski <linux@dominikbrodowski.net>

Remove the IRQ_INFO2_VALID flag in synclink_cs -- I overlooked it when
removing all other users in PCMCIA drivers for 2.6.11.  Thanks to Marcelo
Tosatti for noticing it.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/pcmcia/synclink_cs.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/pcmcia/synclink_cs.c~pcmcia-synclink_cs-irq_info2_info-is-gone drivers/char/pcmcia/synclink_cs.c
--- 25/drivers/char/pcmcia/synclink_cs.c~pcmcia-synclink_cs-irq_info2_info-is-gone	2005-03-20 16:00:03.000000000 -0800
+++ 25-akpm/drivers/char/pcmcia/synclink_cs.c	2005-03-20 16:00:03.000000000 -0800
@@ -581,7 +581,7 @@ static dev_link_t *mgslpc_attach(void)
 
     /* Interrupt setup */
     link->irq.Attributes = IRQ_TYPE_EXCLUSIVE;
-    link->irq.IRQInfo1   = IRQ_INFO2_VALID | IRQ_LEVEL_ID;
+    link->irq.IRQInfo1   = IRQ_LEVEL_ID;
     link->irq.Handler = NULL;
     
     link->conf.Attributes = 0;
_
